# TaskAggregatedSolutionRequest
`toloka.client.aggregation.TaskAggregatedSolutionRequest` | [Source code](https://github.com/Toloka/toloka-kit/blob/v0.1.26/src/client/aggregation.py#L63)

```python
TaskAggregatedSolutionRequest(
    self,
    *,
    task_id: Optional[str] = None,
    pool_id: Optional[str] = None
)
```

Base class for run aggregation on a single task

## Parameters Description

| Parameters | Type | Description |
| :----------| :----| :-----------|
`task_id`|**Optional\[str\]**|<p>Answers for which task to aggregate.</p>
`pool_id`|**Optional\[str\]**|<p>In which pool this task.</p>
